# Generated by Django 5.1.6 on 2025-05-30 17:27

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0139_remove_holofotepage_cover_image_and_more"),
        ("wagtailimages", "0027_image_description"),
    ]

    operations = [
        migrations.AddField(
            model_name="holofotepage",
            name="cover_image",
            field=models.ForeignKey(
                blank=True,
                help_text="Imagem que aparecerá no carrossel da home (PageList). Não afeta o conteúdo da página.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Imagem para Preview",
            ),
        ),
        migrations.AlterField(
            model_name="holofotepage",
            name="body",
            field=wagtail.fields.StreamField(
                [
                    ("citizen_server", 9),
                    ("topic_links", 16),
                    ("feature_list_text", 26),
                    ("QuoteModern", 32),
                    ("service_cards", 39),
                    ("carousel_green", 50),
                    ("section_block", 59),
                    ("feature_list", 66),
                    ("banner_image_cta", 74),
                    ("carrossel_cursos", 100),
                    ("enap_section", 109),
                    ("heading", 110),
                    ("paragraph", 111),
                    ("image", 43),
                    ("html", 112),
                ],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Titulo (e.g. 'Olhar cidadão, servidor atuante, Estado capaz')",
                            "required": True,
                        },
                    ),
                    1: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "help_text": "Descrição (e.g. 'A Enap é uma escola pública federal vinculada ao Ministério da Gestão e da Inovação em Serviços Públicos (MGI)')",
                            "required": True,
                        },
                    ),
                    2: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Tag (e.g. 'Servir')", "required": False},
                    ),
                    3: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("medium", "Banner Médio"),
                                ("large", "Banner Grande"),
                            ],
                            "help_text": "Escolha o tamanho do banner",
                        },
                    ),
                    4: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("center", "Texto Centralizado"),
                                ("bottom", "Texto Inferior"),
                                ("overlay", "Texto com Linha"),
                            ],
                            "help_text": "Choose the text display style",
                        },
                    ),
                    5: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "ID da seção para âncoras/navegação (e.g. 'clima', 'transformacao', 'cuidar')",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    6: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo"},
                    ),
                    7: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"help_text": "Vídeo de fundo"},
                    ),
                    8: (
                        "wagtail.blocks.StreamBlock",
                        [[("image", 6), ("video", 7)]],
                        {
                            "help_text": "Escolha uma imagem ou vídeo de fundo",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 0),
                                ("description", 1),
                                ("small_text", 2),
                                ("banner_size", 3),
                                ("style_choice", 4),
                                ("section_id", 5),
                                ("background_media", 8),
                            ]
                        ],
                        {},
                    ),
                    10: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ethos Público: Compromisso de servir",
                            "label": "Título do tópico 1",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    11: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 1",
                            "label": "Link do tópico 1",
                            "required": True,
                        },
                    ),
                    12: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cidadania ativa",
                            "label": "Título do tópico 2",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    13: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 2",
                            "label": "Link do tópico 2",
                            "required": True,
                        },
                    ),
                    14: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Estado e Desenvolvimento",
                            "label": "Título do tópico 3",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    15: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 3",
                            "label": "Link do tópico 3",
                            "required": True,
                        },
                    ),
                    16: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("topic1_title", 10),
                                ("topic1_link", 11),
                                ("topic2_title", 12),
                                ("topic2_link", 13),
                                ("topic3_title", 14),
                                ("topic3_link", 15),
                            ]
                        ],
                        {},
                    ),
                    17: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Main featured image", "required": True},
                    ),
                    18: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Featured title", "required": True},
                    ),
                    19: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Featured description (optional)",
                            "required": False,
                        },
                    ),
                    20: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Item thumbnail", "required": True},
                    ),
                    21: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Item title", "required": True},
                    ),
                    22: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Item description", "required": True},
                    ),
                    23: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link URL (entire card will be clickable)",
                            "required": False,
                        },
                    ),
                    24: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 20),
                                ("title", 21),
                                ("description", 22),
                                ("link", 23),
                            ]
                        ],
                        {},
                    ),
                    25: (
                        "wagtail.blocks.ListBlock",
                        (24,),
                        {
                            "default": [
                                {
                                    "description": "<p>Descrição do item</p>",
                                    "title": "Exemplo de item",
                                }
                            ],
                            "help_text": "Add as many items as you want in the grid",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    26: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("featured_image", 17),
                                ("featured_title", 18),
                                ("featured_description", 19),
                                ("list_items", 25),
                            ]
                        ],
                        {},
                    ),
                    27: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Adicione uma foto da pessoa sendo citada. Recomendação: imagem no formato retrato com pelo menos 500x700px.",
                            "label": "Foto da Pessoa",
                        },
                    ),
                    28: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "O texto da citação. Não é necessário adicionar aspas, elas serão adicionadas automaticamente.",
                            "label": "Texto da Citação",
                        },
                    ),
                    29: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Nome da pessoa sendo citada.",
                            "label": "Nome do Autor",
                            "max_length": 100,
                        },
                    ),
                    30: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Cargo, profissão ou título da pessoa (opcional).",
                            "label": "Título/Cargo do Autor",
                            "max_length": 150,
                            "required": False,
                        },
                    ),
                    31: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("default", "Padrão (Branco)"),
                                ("blue", "Azul"),
                                ("green", "Verde"),
                            ],
                            "help_text": "Escolha um tema de cor para a citação.",
                            "label": "Tema de Cor",
                        },
                    ),
                    32: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("person_image", 27),
                                ("quote_text", 28),
                                ("author_name", 29),
                                ("author_title", 30),
                                ("color_theme", 31),
                            ]
                        ],
                        {},
                    ),
                    33: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Card image", "required": True},
                    ),
                    34: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Card title", "required": True},
                    ),
                    35: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Card description", "required": True},
                    ),
                    36: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "Optional link for the card", "required": False},
                    ),
                    37: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 33),
                                ("title", 34),
                                ("description", 35),
                                ("link", 36),
                            ]
                        ],
                        {},
                    ),
                    38: (
                        "wagtail.blocks.ListBlock",
                        (37,),
                        {"help_text": "Add as many cards as you want", "min_num": 1},
                    ),
                    39: ("wagtail.blocks.StructBlock", [[("cards", 38)]], {}),
                    40: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Ethos Público", "label": "Tag", "max_length": 50},
                    ),
                    41: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acervo para Servidores",
                            "label": "Título",
                            "max_length": 100,
                        },
                    ),
                    42: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Comprometidos com a Transformação",
                            "label": "Subtítulo",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    43: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem"},
                    ),
                    44: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Título", "max_length": 100},
                    ),
                    45: ("wagtail.blocks.TextBlock", (), {"label": "Descrição"}),
                    46: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acesse o curso",
                            "label": "Texto do link",
                            "max_length": 50,
                        },
                    ),
                    47: ("wagtail.blocks.URLBlock", (), {"label": "URL do link"}),
                    48: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 43),
                                ("title", 44),
                                ("description", 45),
                                ("link_text", 46),
                                ("link_url", 47),
                            ]
                        ],
                        {},
                    ),
                    49: (
                        "wagtail.blocks.ListBlock",
                        (48,),
                        {"label": "Itens do Carrossel", "min_num": 1},
                    ),
                    50: (
                        "wagtail.blocks.StructBlock",
                        [[("tag", 40), ("title", 41), ("subtitle", 42), ("items", 49)]],
                        {},
                    ),
                    51: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("", "Default")],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    52: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Custom CSS Class",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    53: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Custom ID", "max_length": 255, "required": False},
                    ),
                    54: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 51),
                                ("custom_css_class", 52),
                                ("custom_id", 53),
                            ]
                        ],
                        {},
                    ),
                    55: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "#ID da seção", "max_length": 255, "required": False},
                    ),
                    56: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("bg-white", "Fundo branco"),
                                ("bg-blue", "Fundo blue"),
                                ("bg-gray", "Fundo cinza"),
                                ("bg-whitetwo", "Fundo branco alternativo"),
                                ("bg-darkgreen", "Fundo verde escuro"),
                            ],
                            "help_text": "Escolha a cor de fundo para a seção",
                            "label": "Cor de fundo",
                        },
                    ),
                    57: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Titulo", "max_length": 255, "required": False},
                    ),
                    58: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Subtitulo",
                            "required": False,
                        },
                    ),
                    59: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 54),
                                ("id_slug", 55),
                                ("custom_class", 56),
                                ("title", 57),
                                ("subtitle", 58),
                            ]
                        ],
                        {},
                    ),
                    60: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Featured item title", "required": True},
                    ),
                    61: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Featured item description", "required": True},
                    ),
                    62: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link for the featured item",
                            "label": "URL do link",
                            "required": True,
                        },
                    ),
                    63: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Item image", "required": True},
                    ),
                    64: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 63),
                                ("title", 21),
                                ("description", 22),
                                ("link_url", 47),
                            ]
                        ],
                        {},
                    ),
                    65: (
                        "wagtail.blocks.ListBlock",
                        (64,),
                        {
                            "help_text": "Add items to be displayed on the right side",
                            "min_num": 1,
                        },
                    ),
                    66: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("featured_image", 17),
                                ("featured_title", 60),
                                ("featured_description", 61),
                                ("featured_link_url", 62),
                                ("list_items", 65),
                            ]
                        ],
                        {},
                    ),
                    67: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ethos Público",
                            "label": "Tag",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    68: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Servir: a essência do serviço público",
                            "label": "Título",
                            "max_length": 200,
                            "required": True,
                        },
                    ),
                    69: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": 'A ideia do "Propósito do Servir" destaca que trabalhar no serviço público vai além de cumprir uma função; é um compromisso verdadeiro com a sociedade.',
                            "label": "Descrição",
                            "required": True,
                        },
                    ),
                    70: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Se não fornecida, será usado fundo verde padrão",
                            "label": "Imagem de fundo (opcional)",
                            "required": False,
                        },
                    ),
                    71: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem principal", "required": True},
                    ),
                    72: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "VEJA O VÍDEO",
                            "label": "Texto do botão de vídeo",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    73: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link para o vídeo (YouTube, Vimeo, etc)",
                            "label": "URL do vídeo",
                            "required": False,
                        },
                    ),
                    74: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tag", 67),
                                ("title", 68),
                                ("description", 69),
                                ("background_image", 70),
                                ("hero_image", 71),
                                ("video_text", 72),
                                ("video_url", 73),
                            ]
                        ],
                        {},
                    ),
                    75: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-curso-em-breve", "Curso em breve"),
                                ("card-curso-aberto", "Curso aberto"),
                                ("card-curso-andamento", "Curso em andamento"),
                                ("card-curso-encerrado", "Curso encerrado"),
                            ],
                            "help_text": "Escolha o status do curso",
                            "label": "Status do curso",
                        },
                    ),
                    76: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Título do curso",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    77: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Descrição",
                        },
                    ),
                    78: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Carga horária", "max_length": 50, "required": True},
                    ),
                    79: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("presencial", "Presencial"),
                                ("online", "Online"),
                                ("hibrido", "Híbrido"),
                            ],
                            "label": "Modalidade",
                        },
                    ),
                    80: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor que será aplicada no texto destacado e nos cards",
                            "label": "Cor de Destaque",
                        },
                    ),
                    81: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Category",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    82: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Label",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    83: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 51),
                                ("custom_css_class", 52),
                                ("custom_id", 53),
                                ("ga_tracking_event_category", 81),
                                ("ga_tracking_event_label", 82),
                            ]
                        ],
                        {},
                    ),
                    84: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {"label": "Page link", "required": False},
                    ),
                    85: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"label": "Document link", "required": False},
                    ),
                    86: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Other link", "max_length": 255, "required": False},
                    ),
                    87: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": False},
                    ),
                    88: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primary", "Tipo primário"),
                                ("secondary", "Tipo secundário"),
                                ("terciary", "Tipo terciário"),
                            ],
                            "help_text": "Escolha o tipo do botão",
                            "label": "Tipo de botão",
                        },
                    ),
                    89: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("small", "Pequeno"),
                                ("medium", "Médio"),
                                ("large", "Grande"),
                                ("extra-large", "Extra grande"),
                            ],
                            "help_text": "Escolha o tamanho do botão",
                            "label": "Tamanho",
                        },
                    ),
                    90: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"label": "Icone", "required": False},
                    ),
                    91: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 83),
                                ("page_link", 84),
                                ("doc_link", 85),
                                ("other_link", 86),
                                ("button_title", 87),
                                ("type_class", 88),
                                ("size_class", 89),
                                ("icone_bool", 90),
                            ]
                        ],
                        {},
                    ),
                    92: (
                        "wagtail.blocks.StreamBlock",
                        [[("button", 91)]],
                        {
                            "blank": True,
                            "label": "Botão (link)",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    93: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 54),
                                ("type", 75),
                                ("title", 76),
                                ("description", 77),
                                ("carga_horaria", 78),
                                ("modalidade", 79),
                                ("highlight_color", 80),
                                ("link", 92),
                            ]
                        ],
                        {},
                    ),
                    94: (
                        "wagtail.blocks.StreamBlock",
                        [[("card", 93)]],
                        {
                            "help_text": "Adicione os cards de curso que deseja exibir no carrossel",
                            "label": "Cards de Curso",
                            "min_num": 1,
                        },
                    ),
                    95: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 1,
                            "help_text": "Número de cards visíveis em dispositivos móveis",
                            "label": "Cards por visualização (Mobile)",
                            "max_value": 2,
                            "min_value": 1,
                        },
                    ),
                    96: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 2,
                            "help_text": "Número de cards visíveis em tablets",
                            "label": "Cards por visualização (Tablet)",
                            "max_value": 3,
                            "min_value": 1,
                        },
                    ),
                    97: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 3,
                            "help_text": "Número de cards visíveis em desktops",
                            "label": "Cards por visualização (Desktop)",
                            "max_value": 4,
                            "min_value": 1,
                        },
                    ),
                    98: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Ativar rolagem automática do carrossel",
                            "label": "Auto-play",
                            "required": False,
                        },
                    ),
                    99: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 5000,
                            "help_text": "Tempo de espera entre slides em milissegundos (1000 = 1 segundo)",
                            "label": "Tempo de auto-play",
                            "min_value": 1000,
                            "required": False,
                        },
                    ),
                    100: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cards", 94),
                                ("slidesPerView_mobile", 95),
                                ("slidesPerView_tablet", 96),
                                ("slidesPerView_desktop", 97),
                                ("auto_play", 98),
                                ("auto_play_delay", 99),
                            ]
                        ],
                        {},
                    ),
                    101: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("cards-gri-1", "1 card por linha"),
                                ("cards-gri-2", "Até 2 cards"),
                                ("cards-gri-3", "Até 3 cards"),
                                ("cards-gri-4", "Até 4 cards"),
                            ],
                            "help_text": "Escolha os limites de card por linha para essa grid.",
                            "label": "Card por linha",
                        },
                    ),
                    102: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-primary", "Tipo primário"),
                                ("card-secondary", "Tipo secundário"),
                                ("card-terciary", "Tipo terciário"),
                                ("card-bgimage", "Tipo BG Image"),
                                ("card-horizontal", "Tipo Horizontal"),
                                (
                                    "card-horizontal-reverse",
                                    "Tipo Horizontal Invertido",
                                ),
                            ],
                            "help_text": "Escolha o tipo/cor do card",
                            "label": "Tipo de card",
                        },
                    ),
                    103: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Image", "max_length": 255, "required": False},
                    ),
                    104: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Body",
                        },
                    ),
                    105: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 54),
                                ("type", 102),
                                ("image", 103),
                                ("title", 87),
                                ("description", 104),
                                ("link", 92),
                            ]
                        ],
                        {},
                    ),
                    106: (
                        "wagtail.blocks.StreamBlock",
                        [[("enap_card", 105), ("card_curso", 93)]],
                        {"label": "Conteúdo"},
                    ),
                    107: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 54), ("grid", 101), ("content", 106)]],
                        {},
                    ),
                    108: (
                        "wagtail.blocks.StreamBlock",
                        [[("enap_cardgrid", 107)]],
                        {"label": "Conteúdo"},
                    ),
                    109: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 54),
                                ("id_slug", 55),
                                ("custom_class", 56),
                                ("title", 57),
                                ("subtitle", 58),
                                ("content", 108),
                            ]
                        ],
                        {},
                    ),
                    110: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"form_classname": "title", "label": "Título"},
                    ),
                    111: ("wagtail.blocks.RichTextBlock", (), {"label": "Parágrafo"}),
                    112: ("wagtail.blocks.RawHTMLBlock", (), {"label": "HTML"}),
                },
                null=True,
                verbose_name="Conteúdo da Página",
            ),
        ),
    ]
