# Generated by Django 5.1.6 on 2025-06-02 19:13

import datetime
import enap_designsystem.models
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0147_alter_areaaluno_body_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="duranteeventopage",
            name="banner_ao_vivo",
            field=wagtail.fields.StreamField(
                [("enap_herobanner", 3)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Background Image", "required": False},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Banner",
                            "label": "Title",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    2: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descrição do banner. Edite este texto para personalizar o conteúdo.",
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Description",
                            "required": True,
                        },
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [[("background_image", 0), ("title", 1), ("description", 2)]],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_banner_ao_vivo,
            ),
        ),
        migrations.AlterField(
            model_name="duranteeventopage",
            name="galeria_ao_vivo",
            field=wagtail.fields.StreamField(
                [("galeria_moderna", 11)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Galeria de Eventos",
                            "help_text": "Título que aparecerá no topo da seção de galeria",
                            "label": "Título da Seção",
                        },
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Texto que aparecerá abaixo do título da seção",
                            "label": "Subtítulo da Seção",
                        },
                    ),
                    2: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de destaque secundária",
                            "label": "Cor de Destaque",
                        },
                    ),
                    3: ("wagtail.blocks.CharBlock", (), {"label": "Nome da Categoria"}),
                    4: ("wagtail.blocks.StructBlock", [[("nome", 3)]], {}),
                    5: (
                        "wagtail.blocks.ListBlock",
                        (4,),
                        {
                            "help_text": "Defina as categorias que serão usadas para filtrar os itens da galeria",
                            "label": "Categorias da Galeria",
                        },
                    ),
                    6: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Título do Item", "label": "Título do Item"},
                    ),
                    7: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Categoria 1",
                            "help_text": "Deve corresponder exatamente ao nome de uma categoria definida acima",
                            "label": "Categoria",
                        },
                    ),
                    8: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem do item da galeria",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 6), ("categoria", 7), ("imagem", 8)]],
                        {},
                    ),
                    10: (
                        "wagtail.blocks.ListBlock",
                        (9,),
                        {
                            "help_text": "Adicione os itens que serão exibidos na galeria",
                            "label": "Itens da Galeria",
                        },
                    ),
                    11: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 0),
                                ("subtitulo_secao", 1),
                                ("cor_principal", 2),
                                ("cor_secundaria", 2),
                                ("categorias", 5),
                                ("itens_galeria", 10),
                            ]
                        ],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_galeria_ao_vivo,
            ),
        ),
        migrations.AlterField(
            model_name="duranteeventopage",
            name="interacao",
            field=wagtail.fields.StreamField(
                [("contato", 13), ("form_contato", 36)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Fale", "max_length": 100},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Conosco", "max_length": 100},
                    ),
                    2: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Entre em contato com a Biblioteca Graciliano Ramos"
                        },
                    ),
                    3: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Telefone", "max_length": 100},
                    ),
                    4: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "(61) 2020-3139", "required": False},
                    ),
                    5: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "E-mail", "max_length": 100},
                    ),
                    6: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "biblioteca@enap.gov.br", "required": False},
                    ),
                    7: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Endereço", "max_length": 100},
                    ),
                    8: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "SPO Área Especial 2A - Térreo\nBrasília-DF - CEP: 70610-900",
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Horário de Funcionamento", "max_length": 100},
                    ),
                    10: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Segunda a sexta-feira das 9h às 19h00",
                            "required": False,
                        },
                    ),
                    11: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3839.7410214087293!2d-47.91252422392779!3d-15.783966284838556!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x935a3aec4bdd315d%3A0xe4b35324fd775722!2sEscola%20Nacional%20de%20Administra%C3%A7%C3%A3o%20P%C3%BAblica%20(Enap)!5e0!3m2!1spt-BR!2sbr!4v1650293487600!5m2!1spt-BR!2sbr",
                            "required": True,
                        },
                    ),
                    12: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de fundo do botão",
                            "label": "Cor do Botão",
                        },
                    ),
                    13: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_prefix", 0),
                                ("title_highlight", 1),
                                ("description", 2),
                                ("phone_title", 3),
                                ("phone", 4),
                                ("email_title", 5),
                                ("email", 6),
                                ("address_title", 7),
                                ("address", 8),
                                ("hours_title", 9),
                                ("hours", 10),
                                ("map_embed_url", 11),
                                ("highlight_color", 12),
                            ]
                        ],
                        {},
                    ),
                    14: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de destaque secundária",
                            "label": "Cor de Destaque",
                        },
                    ),
                    15: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Fale Conosco",
                            "help_text": "Título principal do formulário",
                            "required": False,
                        },
                    ),
                    16: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Entre em contato conosco para esclarecer dúvidas, enviar sugestões ou solicitar informações.",
                            "help_text": "Texto de introdução",
                            "required": False,
                        },
                    ),
                    17: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Envie sua mensagem",
                            "help_text": "Título da seção do formulário",
                        },
                    ),
                    18: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir texto informando sobre campos obrigatórios",
                            "required": False,
                        },
                    ),
                    19: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "* Campo obrigatório",
                            "help_text": "Texto exibido para informar sobre campos obrigatórios",
                            "required": False,
                        },
                    ),
                    20: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar mensagem",
                            "help_text": "Texto do botão de envio",
                        },
                    ),
                    21: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir opção para enviar cópia para o remetente",
                            "required": False,
                        },
                    ),
                    22: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar cópia para mim (opcional)",
                            "help_text": "Texto da opção para enviar cópia",
                            "required": False,
                        },
                    ),
                    23: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Informações de Contato",
                            "help_text": "Título da seção de informações de contato",
                        },
                    ),
                    24: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Campus Asa Sul",
                            "help_text": "Título do endereço",
                            "required": False,
                        },
                    ),
                    25: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SAIS AE 2A Térreo - Enap Campus Asa Sul – Brasília-DF",
                            "help_text": "Endereço completo",
                            "required": False,
                        },
                    ),
                    26: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Horário de Funcionamento",
                            "help_text": "Título do horário de funcionamento",
                            "required": False,
                        },
                    ),
                    27: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Segunda a sexta-feira das 9h às 18h00",
                            "help_text": "Horário de funcionamento",
                            "required": False,
                        },
                    ),
                    28: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Telefone",
                            "help_text": "Título do telefone",
                            "required": False,
                        },
                    ),
                    29: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "(61) 2020-3139",
                            "help_text": "Número de telefone",
                            "required": False,
                        },
                    ),
                    30: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "E-mail",
                            "help_text": "Título do e-mail",
                            "required": False,
                        },
                    ),
                    31: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "biblioteca@enap.gov.br",
                            "help_text": "Endereço de e-mail",
                            "required": False,
                        },
                    ),
                    32: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir mapa de localização",
                            "required": False,
                        },
                    ),
                    33: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem do mapa (opcional, se preferir usar uma imagem estática)",
                            "required": False,
                        },
                    ),
                    34: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://maps.google.com",
                            "help_text": "Link para o mapa (ex: Google Maps)",
                            "required": False,
                        },
                    ),
                    35: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Visualizar Localização - Google Maps",
                            "help_text": "Texto do link para o mapa",
                            "required": False,
                        },
                    ),
                    36: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 14),
                                ("titulo", 15),
                                ("subtitulo", 16),
                                ("titulo_formulario", 17),
                                ("mostrar_texto_obrigatorio", 18),
                                ("texto_obrigatorio", 19),
                                ("texto_botao", 20),
                                ("mostrar_checkbox_copia", 21),
                                ("texto_checkbox_copia", 22),
                                ("titulo_informacoes", 23),
                                ("endereco_titulo", 24),
                                ("endereco", 25),
                                ("horario_titulo", 26),
                                ("horario", 27),
                                ("telefone_titulo", 28),
                                ("telefone", 29),
                                ("email_titulo", 30),
                                ("email", 31),
                                ("mostrar_mapa", 32),
                                ("imagem_mapa", 33),
                                ("link_mapa", 34),
                                ("texto_link_mapa", 35),
                            ]
                        ],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_interacao,
            ),
        ),
        migrations.AlterField(
            model_name="duranteeventopage",
            name="palestrantes_atual",
            field=wagtail.fields.StreamField(
                [("team_moderna", 8)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Temos uma rica experiência de diversos backgrounds",
                            "label": "Título",
                            "max_length": 200,
                        },
                    ),
                    1: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Nossa filosofia é simples: reunir pessoas talentosas e oferecer a elas os recursos e suporte para fazer seu melhor trabalho.",
                            "label": "Subtítulo",
                        },
                    ),
                    2: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Recomendado: 270x320px ou proporção similar",
                            "label": "Foto",
                        },
                    ),
                    3: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nome do Membro",
                            "label": "Nome",
                            "max_length": 100,
                        },
                    ),
                    4: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cargo do Membro",
                            "label": "Cargo",
                            "max_length": 150,
                        },
                    ),
                    5: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link para LinkedIn, Lattes ou perfil profissional",
                            "label": "Link do Perfil",
                            "required": False,
                        },
                    ),
                    6: (
                        "wagtail.blocks.StructBlock",
                        [[("photo", 2), ("name", 3), ("role", 4), ("links_perfil", 5)]],
                        {"icon": "user", "label": "Membro da Equipe"},
                    ),
                    7: (
                        "wagtail.blocks.ListBlock",
                        (6,),
                        {
                            "help_text": "Adicione os membros da equipe que aparecerão no carrossel",
                            "label": "Membros da Equipe",
                            "min_num": 1,
                        },
                    ),
                    8: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 0), ("subtitle", 1), ("team_members", 7)]],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_palestrantes_atual,
            ),
        ),
        migrations.AlterField(
            model_name="duranteeventopage",
            name="programacao",
            field=wagtail.fields.StreamField(
                [("evento", 17)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Próximos Eventos",
                            "help_text": "Título que aparecerá no topo da seção de eventos",
                            "label": "Título da Seção",
                        },
                    ),
                    1: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Participe de nossa programação diversificada de eventos presenciais e online",
                            "help_text": "Texto que aparecerá abaixo do título da seção",
                            "label": "Descrição da Seção",
                        },
                    ),
                    2: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de destaque secundária",
                            "label": "Cor de Destaque",
                        },
                    ),
                    3: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Todos", "label": "Nome da Categoria"},
                    ),
                    4: ("wagtail.blocks.StructBlock", [[("nome", 3)]], {}),
                    5: (
                        "wagtail.blocks.ListBlock",
                        (4,),
                        {
                            "help_text": "Defina as categorias que serão usadas para filtrar os eventos",
                            "label": "Categorias de Eventos",
                        },
                    ),
                    6: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Novo Evento", "label": "Título do Evento"},
                    ),
                    7: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Geral",
                            "help_text": "Deve corresponder exatamente ao nome de uma categoria definida acima",
                            "label": "Categoria",
                        },
                    ),
                    8: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do Evento", "required": False},
                    ),
                    9: (
                        "wagtail.blocks.DateBlock",
                        (),
                        {
                            "default": datetime.date(2025, 6, 2),
                            "label": "Data do Evento",
                        },
                    ),
                    10: (
                        "wagtail.blocks.TimeBlock",
                        (),
                        {"default": datetime.time(9, 0), "label": "Hora de Início"},
                    ),
                    11: (
                        "wagtail.blocks.TimeBlock",
                        (),
                        {"default": datetime.time(17, 0), "label": "Hora de Término"},
                    ),
                    12: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "A definir", "label": "Local"},
                    ),
                    13: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição do evento será adicionada em breve.",
                            "label": "Descrição do Evento",
                        },
                    ),
                    14: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 50, "label": "Vagas Disponíveis", "min_value": 0},
                    ),
                    15: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 6),
                                ("categoria", 7),
                                ("imagem", 8),
                                ("data", 9),
                                ("hora_inicio", 10),
                                ("hora_fim", 11),
                                ("local", 12),
                                ("descricao", 13),
                                ("vagas_disponiveis", 14),
                            ]
                        ],
                        {},
                    ),
                    16: (
                        "wagtail.blocks.ListBlock",
                        (15,),
                        {
                            "help_text": "Adicione os eventos que serão exibidos",
                            "label": "Lista de Eventos",
                        },
                    ),
                    17: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 0),
                                ("descricao_secao", 1),
                                ("cor_principal", 2),
                                ("categorias", 5),
                                ("eventos", 16),
                            ]
                        ],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_programacao,
            ),
        ),
        migrations.AlterField(
            model_name="duranteeventopage",
            name="transmissao",
            field=wagtail.fields.StreamField(
                [("container_info", 13), ("texto_imagem", 19)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nossas",
                            "help_text": "Primeira parte do título",
                            "label": "Prefixo do Título",
                            "max_length": 100,
                        },
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo Destacado",
                            "help_text": "Parte do título que terá destaque visual",
                            "label": "Título Destacado",
                            "max_length": 100,
                        },
                    ),
                    2: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Acesse bases de dados com livros e periódicos eletrônicos, nacionais e internacionais, sobre administração pública e áreas correlatas",
                            "help_text": "Texto descritivo da seção",
                            "label": "Descrição",
                        },
                    ),
                    3: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor principal do componente aplicada aos elementos destacados",
                            "label": "Cor de Destaque",
                        },
                    ),
                    4: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Portal de Periódicos da Capes",
                            "label": "Título da Base de Dados",
                            "max_length": 100,
                        },
                    ),
                    5: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "A Biblioteca da Enap disponibiliza acesso a bases de dados com livros e periódicos eletrônicos, nacionais e internacionais. O acesso ao Portal é vinculado à rede da Enap, mas alunos, pesquisadores, professores e servidores têm acesso remoto.",
                            "label": "Descrição da Base de Dados",
                        },
                    ),
                    6: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "JSTOR",
                            "label": "Nome da Base",
                            "max_length": 100,
                        },
                    ),
                    7: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Base multidisciplinar com mais de 2.600 periódicos acadêmicos, livros e fontes primárias.",
                            "label": "Informações da Base",
                        },
                    ),
                    8: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.jstor.org/",
                            "help_text": "Link para acessar a base de dados",
                            "label": "Link da Base",
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.StructBlock",
                        [[("name", 6), ("info", 7), ("link", 8)]],
                        {},
                    ),
                    10: (
                        "wagtail.blocks.ListBlock",
                        (9,),
                        {"label": "Cards das Bases"},
                    ),
                    11: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("database_title", 4),
                                ("database_description", 5),
                                ("cards", 10),
                            ]
                        ],
                        {"label": "Seção de Base de Dados"},
                    ),
                    12: (
                        "wagtail.blocks.StreamBlock",
                        [[("section", 11)]],
                        {"label": "Seções de Conteúdo"},
                    ),
                    13: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_prefix", 0),
                                ("title_highlight", 1),
                                ("description", 2),
                                ("highlight_color", 3),
                                ("content_sections", 12),
                            ]
                        ],
                        {},
                    ),
                    14: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título da seção",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título",
                        },
                    ),
                    15: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "help_text": "Conteúdo em texto",
                            "required": True,
                            "verbose_name": "Texto",
                        },
                    ),
                    16: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de destaque",
                            "required": True,
                            "verbose_name": "Imagem",
                        },
                    ),
                    17: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("direita", "Imagem à direita"),
                                ("esquerda", "Imagem à esquerda"),
                            ],
                            "help_text": "Posição da imagem em relação ao texto",
                            "verbose_name": "Posição da imagem",
                        },
                    ),
                    18: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("normal", "Normal"),
                                ("arredondada", "Cantos arredondados"),
                                ("circular", "Circular"),
                                ("cobertura", "Cobertura completa"),
                            ],
                            "help_text": "Estilo de exibição da imagem",
                            "verbose_name": "Estilo da imagem",
                        },
                    ),
                    19: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 14),
                                ("texto", 15),
                                ("imagem", 16),
                                ("posicao_imagem", 17),
                                ("estilo_imagem", 18),
                            ]
                        ],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_transmissao,
            ),
        ),
    ]
