# Generated by Django 5.1.6 on 2025-06-03 00:07

import django.db.models.deletion
import enap_designsystem.models
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0149_poseventopage_alter_areaaluno_body_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="poseventopage",
            name="footer",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="enap_designsystem.enapfootersnippet",
            ),
        ),
        migrations.AddField(
            model_name="poseventopage",
            name="navbar",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="enap_designsystem.enapnavbarsnippet",
            ),
        ),
        migrations.AlterField(
            model_name="poseventopage",
            name="banner_agradecimento",
            field=wagtail.fields.StreamField(
                [("enap_herobanner", 3)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Background Image", "required": False},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Banner",
                            "label": "Title",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    2: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descrição do banner. Edite este texto para personalizar o conteúdo.",
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Description",
                            "required": True,
                        },
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [[("background_image", 0), ("title", 1), ("description", 2)]],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_banner_agradecimento,
            ),
        ),
        migrations.AlterField(
            model_name="poseventopage",
            name="depoimentos",
            field=wagtail.fields.StreamField(
                [("testimonials_carousel", 8), ("QuoteModern", 14)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Depoimentos",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    1: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"help_text": "Descrição opcional da seção", "required": False},
                    ),
                    2: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nome do profissional",
                            "help_text": "Nome da pessoa",
                            "required": True,
                        },
                    ),
                    3: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cargo do profissional",
                            "help_text": "Cargo ou posição da pessoa",
                            "required": True,
                        },
                    ),
                    4: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Depoimento da pessoa",
                            "required": True,
                        },
                    ),
                    5: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Foto da pessoa", "required": True},
                    ),
                    6: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("name", 2),
                                ("position", 3),
                                ("testimonial", 4),
                                ("image", 5),
                            ]
                        ],
                        {},
                    ),
                    7: (
                        "wagtail.blocks.ListBlock",
                        (6,),
                        {"help_text": "Adicione os depoimentos"},
                    ),
                    8: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 0), ("description", 1), ("testimonials", 7)]],
                        {},
                    ),
                    9: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Adicione uma foto da pessoa sendo citada. Recomendação: imagem no formato retrato com pelo menos 500x700px.",
                            "label": "Foto da Pessoa",
                        },
                    ),
                    10: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "O texto da citação. Não é necessário adicionar aspas, elas serão adicionadas automaticamente.",
                            "label": "Texto da Citação",
                        },
                    ),
                    11: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Nome da pessoa sendo citada.",
                            "label": "Nome do Autor",
                            "max_length": 100,
                        },
                    ),
                    12: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Cargo, profissão ou título da pessoa (opcional).",
                            "label": "Título/Cargo do Autor",
                            "max_length": 150,
                            "required": False,
                        },
                    ),
                    13: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("default", "Padrão (Branco)"),
                                ("blue", "Azul"),
                                ("green", "Verde"),
                            ],
                            "help_text": "Escolha um tema de cor para a citação.",
                            "label": "Tema de Cor",
                        },
                    ),
                    14: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("person_image", 9),
                                ("quote_text", 10),
                                ("author_name", 11),
                                ("author_title", 12),
                                ("color_theme", 13),
                            ]
                        ],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_depoimentos,
            ),
        ),
        migrations.AlterField(
            model_name="poseventopage",
            name="galeria_evento",
            field=wagtail.fields.StreamField(
                [("galeria_moderna", 11)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Galeria de Eventos",
                            "help_text": "Título que aparecerá no topo da seção de galeria",
                            "label": "Título da Seção",
                        },
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Texto que aparecerá abaixo do título da seção",
                            "label": "Subtítulo da Seção",
                        },
                    ),
                    2: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de destaque secundária",
                            "label": "Cor de Destaque",
                        },
                    ),
                    3: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Todos", "label": "Nome da Categoria"},
                    ),
                    4: ("wagtail.blocks.StructBlock", [[("nome", 3)]], {}),
                    5: (
                        "wagtail.blocks.ListBlock",
                        (4,),
                        {
                            "help_text": "Defina as categorias que serão usadas para filtrar os itens da galeria",
                            "label": "Categorias da Galeria",
                        },
                    ),
                    6: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Título do Item", "label": "Título do Item"},
                    ),
                    7: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Categoria 1",
                            "help_text": "Deve corresponder exatamente ao nome de uma categoria definida acima",
                            "label": "Categoria",
                        },
                    ),
                    8: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem do item da galeria",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 6), ("categoria", 7), ("imagem", 8)]],
                        {},
                    ),
                    10: (
                        "wagtail.blocks.ListBlock",
                        (9,),
                        {
                            "help_text": "Adicione os itens que serão exibidos na galeria",
                            "label": "Itens da Galeria",
                        },
                    ),
                    11: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 0),
                                ("subtitulo_secao", 1),
                                ("cor_principal", 2),
                                ("cor_secundaria", 2),
                                ("categorias", 5),
                                ("itens_galeria", 10),
                            ]
                        ],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_galeria_evento,
            ),
        ),
        migrations.AlterField(
            model_name="poseventopage",
            name="materiais",
            field=wagtail.fields.StreamField(
                [("download", 8), ("section_card_title_center", 20)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("", "Default")],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Custom CSS Class",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    2: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Custom ID", "max_length": 255, "required": False},
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 0),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                            ]
                        ],
                        {},
                    ),
                    4: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-primary", "Primary"),
                                ("btn-secondary", "Secondary"),
                                ("btn-success", "Success"),
                                ("btn-danger", "Danger"),
                                ("btn-warning", "Warning"),
                                ("btn-info", "Info"),
                                ("btn-link", "Link"),
                                ("btn-light", "Light"),
                                ("btn-dark", "Dark"),
                                ("btn-outline-primary", "Outline Primary"),
                                ("btn-outline-secondary", "Outline Secondary"),
                                ("btn-outline-success", "Outline Success"),
                                ("btn-outline-danger", "Outline Danger"),
                                ("btn-outline-warning", "Outline Warning"),
                                ("btn-outline-info", "Outline Info"),
                                ("btn-outline-light", "Outline Light"),
                                ("btn-outline-dark", "Outline Dark"),
                            ],
                            "label": "Button Style",
                            "required": False,
                        },
                    ),
                    5: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-sm", "Small"),
                                ("", "Default"),
                                ("btn-lg", "Large"),
                            ],
                            "label": "Button Size",
                            "required": False,
                        },
                    ),
                    6: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": False},
                    ),
                    7: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"label": "Document link", "required": False},
                    ),
                    8: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 3),
                                ("button_style", 4),
                                ("button_size", 5),
                                ("button_title", 6),
                                ("downloadable_file", 7),
                            ]
                        ],
                        {},
                    ),
                    9: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "label": "Título da Seção",
                            "required": False,
                        },
                    ),
                    10: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "",
                            "help_text": "Parte do título que terá gradiente (opcional)",
                            "label": "Texto Destacado",
                            "required": False,
                        },
                    ),
                    11: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor que será aplicada no texto destacado e nos cards",
                            "label": "Cor de Destaque",
                        },
                    ),
                    12: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Subtítulo da seção com informações relevantes.</p>",
                            "label": "Subtítulo da Seção",
                            "required": False,
                        },
                    ),
                    13: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Card",
                            "label": "Título do Card",
                            "required": False,
                        },
                    ),
                    14: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Descrição detalhada do card com informações importantes para o usuário.</p>",
                            "label": "Descrição do Card",
                            "required": False,
                        },
                    ),
                    15: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "fa-solid fa-star",
                            "help_text": "Cole o código do Font Awesome aqui (ex: 'fa-solid fa-book')",
                            "label": "Classe do Ícone",
                            "required": True,
                        },
                    ),
                    16: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acessar",
                            "label": "Texto do Link",
                            "required": False,
                        },
                    ),
                    17: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://gov.br/",
                            "label": "URL do Link",
                            "required": False,
                        },
                    ),
                    18: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 13),
                                ("description", 14),
                                ("icon_class", 15),
                                ("link_text", 16),
                                ("link_url", 17),
                            ]
                        ],
                        {},
                    ),
                    19: (
                        "wagtail.blocks.ListBlock",
                        (18,),
                        {
                            "help_text": "Adicione os cards da seção (a cor será aplicada automaticamente)",
                            "label": "Cards",
                        },
                    ),
                    20: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 9),
                                ("highlight_text", 10),
                                ("highlight_color", 11),
                                ("subtitle", 12),
                                ("cards", 19),
                            ]
                        ],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_materiais,
            ),
        ),
        migrations.AlterField(
            model_name="poseventopage",
            name="proximas_acoes",
            field=wagtail.fields.StreamField(
                [("cta_destaque", 3), ("secao_adesao", 12)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Data de Início da Formação",
                            "help_text": "Título principal do componente",
                            "label": "Título",
                            "max_length": 100,
                        },
                    ),
                    1: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem personalizada para o ícone (opcional, padrão será ícone de relógio)",
                            "label": "Ícone Personalizado",
                            "required": False,
                        },
                    ),
                    2: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "A formação começa no dia 15 de janeiro de 2024. Inscrições abertas até 10 de janeiro.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Texto com as informações sobre a formação",
                            "label": "Descrição",
                        },
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 0), ("icone_personalizado", 1), ("descricao", 2)]],
                        {},
                    ),
                    4: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Como aderir ao Enap Aqui?",
                            "help_text": "Título da seção informativa (coluna esquerda)",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título",
                        },
                    ),
                    5: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>A adesão ao Programa Enap Aqui é feita por meio da assinatura de um Acordo de Adesão, formalizado pela instituição interessada.</p><p>O Acordo de Adesão ao Enap Aqui expressa o compromisso da instituição com a promoção de ações formativas voltadas a servidores públicos locais, por meio de uma abordagem híbrida que integra cursos a distância e oficinas presenciais, com foco em temas estratégicos para a gestão pública.</p>",
                            "help_text": "Texto explicativo sobre o processo de adesão",
                            "required": True,
                            "verbose_name": "Texto informativo",
                        },
                    ),
                    6: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Torne-se um parceiro Enap Aqui",
                            "help_text": "Título do cartão verde de destaque",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título do destaque",
                        },
                    ),
                    7: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Faça parte do Enap Aqui e acompanhe o processo:</p>",
                            "help_text": "Texto curto para o cartão verde de destaque",
                            "required": True,
                            "verbose_name": "Texto do destaque",
                        },
                    ),
                    8: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Aderir ao Enap Aqui",
                            "help_text": "Texto que será exibido no botão",
                            "max_length": 50,
                            "required": True,
                            "verbose_name": "Texto do botão",
                        },
                    ),
                    9: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "URL para onde o botão vai redirecionar",
                            "required": True,
                            "verbose_name": "URL do botão",
                        },
                    ),
                    10: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#1F4D4D",
                            "help_text": "Código hexadecimal da cor de fundo do cartão verde (ex: #1F4D4D)",
                            "max_length": 7,
                            "required": False,
                            "verbose_name": "Cor de fundo do destaque",
                        },
                    ),
                    11: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno"),
                                ("medio", "Médio"),
                                ("grande", "Grande"),
                            ],
                            "help_text": "Espaçamento vertical da seção",
                            "verbose_name": "Espaçamento",
                        },
                    ),
                    12: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_informativo", 4),
                                ("texto_informativo", 5),
                                ("titulo_destaque", 6),
                                ("texto_destaque", 7),
                                ("texto_botao", 8),
                                ("url_botao", 9),
                                ("cor_fundo_destaque", 10),
                                ("espaco_vertical", 11),
                            ]
                        ],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_proximas_acoes,
            ),
        ),
        migrations.AlterField(
            model_name="poseventopage",
            name="proximos_eventos",
            field=wagtail.fields.StreamField(
                [("eventos_carousel", 6), ("carrossel_cursos", 32)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("", "Default")],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Custom CSS Class",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    2: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Custom ID", "max_length": 255, "required": False},
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 0),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                            ]
                        ],
                        {},
                    ),
                    4: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page's LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    5: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 3, "label": "Number of pages to show"},
                    ),
                    6: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("indexed_by", 4), ("num_posts", 5)]],
                        {},
                    ),
                    7: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-curso-em-breve", "Curso em breve"),
                                ("card-curso-aberto", "Curso aberto"),
                                ("card-curso-andamento", "Curso em andamento"),
                                ("card-curso-encerrado", "Curso encerrado"),
                            ],
                            "help_text": "Escolha o status do curso",
                            "label": "Status do curso",
                        },
                    ),
                    8: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Título do curso",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    9: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Descrição",
                        },
                    ),
                    10: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Carga horária", "max_length": 50, "required": True},
                    ),
                    11: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("presencial", "Presencial"),
                                ("online", "Online"),
                                ("hibrido", "Híbrido"),
                            ],
                            "label": "Modalidade",
                        },
                    ),
                    12: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor que será aplicada no texto destacado e nos cards",
                            "label": "Cor de Destaque",
                        },
                    ),
                    13: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Category",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    14: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Label",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    15: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 0),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                                ("ga_tracking_event_category", 13),
                                ("ga_tracking_event_label", 14),
                            ]
                        ],
                        {},
                    ),
                    16: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {"label": "Page link", "required": False},
                    ),
                    17: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"label": "Document link", "required": False},
                    ),
                    18: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Other link", "max_length": 255, "required": False},
                    ),
                    19: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": False},
                    ),
                    20: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primary", "Tipo primário"),
                                ("secondary", "Tipo secundário"),
                                ("terciary", "Tipo terciário"),
                            ],
                            "help_text": "Escolha o tipo do botão",
                            "label": "Tipo de botão",
                        },
                    ),
                    21: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("small", "Pequeno"),
                                ("medium", "Médio"),
                                ("large", "Grande"),
                                ("extra-large", "Extra grande"),
                            ],
                            "help_text": "Escolha o tamanho do botão",
                            "label": "Tamanho",
                        },
                    ),
                    22: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"label": "Icone", "required": False},
                    ),
                    23: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 15),
                                ("page_link", 16),
                                ("doc_link", 17),
                                ("other_link", 18),
                                ("button_title", 19),
                                ("type_class", 20),
                                ("size_class", 21),
                                ("icone_bool", 22),
                            ]
                        ],
                        {},
                    ),
                    24: (
                        "wagtail.blocks.StreamBlock",
                        [[("button", 23)]],
                        {
                            "blank": True,
                            "label": "Botão (link)",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    25: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 3),
                                ("type", 7),
                                ("title", 8),
                                ("description", 9),
                                ("carga_horaria", 10),
                                ("modalidade", 11),
                                ("highlight_color", 12),
                                ("link", 24),
                            ]
                        ],
                        {},
                    ),
                    26: (
                        "wagtail.blocks.StreamBlock",
                        [[("card", 25)]],
                        {
                            "help_text": "Adicione os cards de curso que deseja exibir no carrossel",
                            "label": "Cards de Curso",
                            "min_num": 1,
                        },
                    ),
                    27: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 1,
                            "help_text": "Número de cards visíveis em dispositivos móveis",
                            "label": "Cards por visualização (Mobile)",
                            "max_value": 2,
                            "min_value": 1,
                        },
                    ),
                    28: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 2,
                            "help_text": "Número de cards visíveis em tablets",
                            "label": "Cards por visualização (Tablet)",
                            "max_value": 3,
                            "min_value": 1,
                        },
                    ),
                    29: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 3,
                            "help_text": "Número de cards visíveis em desktops",
                            "label": "Cards por visualização (Desktop)",
                            "max_value": 4,
                            "min_value": 1,
                        },
                    ),
                    30: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Ativar rolagem automática do carrossel",
                            "label": "Auto-play",
                            "required": False,
                        },
                    ),
                    31: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 5000,
                            "help_text": "Tempo de espera entre slides em milissegundos (1000 = 1 segundo)",
                            "label": "Tempo de auto-play",
                            "min_value": 1000,
                            "required": False,
                        },
                    ),
                    32: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cards", 26),
                                ("slidesPerView_mobile", 27),
                                ("slidesPerView_tablet", 28),
                                ("slidesPerView_desktop", 29),
                                ("auto_play", 30),
                                ("auto_play_delay", 31),
                            ]
                        ],
                        {},
                    ),
                },
                default=enap_designsystem.models.get_default_proximos_eventos,
            ),
        ),
    ]
