# Generated by Django 5.1.6 on 2025-06-03 08:42

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        (
            "enap_designsystem",
            "0164_alter_areaaluno_body_alter_cursoeadpage_curso_and_more",
        ),
        ("wagtailcore", "0094_alter_page_locale"),
        ("wagtailimages", "0027_image_description"),
    ]

    operations = [
        migrations.CreateModel(
            name="BrandingTheme",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100, verbose_name="Nome do Tema")),
                (
                    "cor_primaria",
                    models.CharField(
                        default="#163841", max_length=7, verbose_name="Cor Primária"
                    ),
                ),
                (
                    "cor_secundaria",
                    models.CharField(
                        default="#FFEA05", max_length=7, verbose_name="Cor Secundária"
                    ),
                ),
                (
                    "cor_texto_destaque",
                    models.CharField(
                        default="#8B951C",
                        max_length=7,
                        verbose_name="Cor do Texto Destaque",
                    ),
                ),
                (
                    "cor_fundo_banner",
                    models.CharField(
                        default="#4A9AA8", max_length=7, verbose_name="Cor Fundo Banner"
                    ),
                ),
                (
                    "cor_fundo_destaques",
                    models.CharField(
                        default="#1a2e38",
                        max_length=7,
                        verbose_name="Cor Fundo Destaques",
                    ),
                ),
                (
                    "cor_fundo_video",
                    models.CharField(
                        default="#4A9AA8", max_length=7, verbose_name="Cor Fundo Video"
                    ),
                ),
                (
                    "cor_fundo_numeros",
                    models.CharField(
                        default="#EEEEEE",
                        max_length=7,
                        verbose_name="Cor Fundo Números",
                    ),
                ),
                (
                    "cor_fundo_certificado",
                    models.CharField(
                        default="#2B5E2B",
                        max_length=7,
                        verbose_name="Cor Fundo Certificado",
                    ),
                ),
                (
                    "cor_fundo_forms",
                    models.CharField(
                        default="#FFFFFF", max_length=7, verbose_name="Cor Fundo Forms"
                    ),
                ),
                (
                    "cor_fundo_galeria",
                    models.CharField(
                        default="#1a2e38",
                        max_length=7,
                        verbose_name="Cor Fundo Galeria",
                    ),
                ),
                (
                    "cor_fundo_newsletter",
                    models.CharField(
                        default="#EEEEEE",
                        max_length=7,
                        verbose_name="Cor Fundo Newsletter",
                    ),
                ),
                (
                    "cor_fundo_contato",
                    models.CharField(
                        default="#4A9AA8",
                        max_length=7,
                        verbose_name="Cor Fundo Contato",
                    ),
                ),
                (
                    "is_active",
                    models.BooleanField(default=False, verbose_name="Tema Ativo"),
                ),
            ],
            options={
                "verbose_name": "Tema de Branding",
                "verbose_name_plural": "Temas de Branding",
            },
        ),
        migrations.CreateModel(
            name="EventInfo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        default="Semana de Inovação",
                        max_length=200,
                        verbose_name="Nome do Evento",
                    ),
                ),
                (
                    "year",
                    models.CharField(default="2025", max_length=4, verbose_name="Ano"),
                ),
                (
                    "tagline",
                    models.CharField(
                        default="O maior evento de inovação em governo da América Latina",
                        max_length=300,
                        verbose_name="Slogan",
                    ),
                ),
                ("start_date", models.DateField(verbose_name="Data de Início")),
                ("end_date", models.DateField(verbose_name="Data de Fim")),
                (
                    "contact_email",
                    models.EmailField(
                        default="contato.si@enap.gov.br",
                        max_length=254,
                        verbose_name="Email de Contato",
                    ),
                ),
                ("youtube_url", models.URLField(blank=True, verbose_name="YouTube")),
                (
                    "instagram_url",
                    models.URLField(blank=True, verbose_name="Instagram"),
                ),
                ("linkedin_url", models.URLField(blank=True, verbose_name="LinkedIn")),
                (
                    "is_active",
                    models.BooleanField(
                        default=True, verbose_name="Configuração Ativa"
                    ),
                ),
            ],
            options={
                "verbose_name": "Informações do Evento",
                "verbose_name_plural": "Informações do Evento",
            },
        ),
        migrations.CreateModel(
            name="SemanaFAQPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "intro_title",
                    models.CharField(
                        default="Perguntas",
                        max_length=200,
                        verbose_name="Título de Introdução",
                    ),
                ),
                (
                    "intro_subtitle",
                    models.CharField(
                        default="Frequentes",
                        max_length=200,
                        verbose_name="Subtítulo de Introdução",
                    ),
                ),
                (
                    "faq_tabs",
                    wagtail.fields.StreamField(
                        [("faq_tab", 5)],
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Nome da Aba"},
                            ),
                            1: ("wagtail.blocks.CharBlock", (), {"label": "Pergunta"}),
                            2: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {"label": "Resposta"},
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [[("question", 1), ("answer", 2)]],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.ListBlock",
                                (3,),
                                {"label": "Itens do FAQ"},
                            ),
                            5: (
                                "wagtail.blocks.StructBlock",
                                [[("tab_name", 0), ("faq_items", 4)]],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": "Página FAQ da Semana",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="SemanaHomePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "cor_primaria",
                    models.CharField(
                        default="#163841", max_length=7, verbose_name="Cor Primária"
                    ),
                ),
                (
                    "cor_secundaria",
                    models.CharField(
                        default="#FFEA05", max_length=7, verbose_name="Cor Secundária"
                    ),
                ),
                (
                    "cor_texto_destaque",
                    models.CharField(
                        default="#8B951C",
                        max_length=7,
                        verbose_name="Cor Texto Destaque",
                    ),
                ),
                (
                    "cor_fundo_banner",
                    models.CharField(
                        default="#4A9AA8", max_length=7, verbose_name="Cor Fundo Banner"
                    ),
                ),
                (
                    "cor_fundo_destaques",
                    models.CharField(
                        default="#1a2e38",
                        max_length=7,
                        verbose_name="Cor Fundo Destaques",
                    ),
                ),
                (
                    "cor_fundo_video",
                    models.CharField(
                        default="#4A9AA8", max_length=7, verbose_name="Cor Fundo Video"
                    ),
                ),
                (
                    "cor_fundo_numeros",
                    models.CharField(
                        default="#EEEEEE",
                        max_length=7,
                        verbose_name="Cor Fundo Números",
                    ),
                ),
                (
                    "cor_fundo_certificado",
                    models.CharField(
                        default="#2B5E2B",
                        max_length=7,
                        verbose_name="Cor Fundo Certificado",
                    ),
                ),
                (
                    "cor_fundo_forms",
                    models.CharField(
                        default="#FFFFFF", max_length=7, verbose_name="Cor Fundo Forms"
                    ),
                ),
                (
                    "cor_fundo_galeria",
                    models.CharField(
                        default="#1a2e38",
                        max_length=7,
                        verbose_name="Cor Fundo Galeria",
                    ),
                ),
                (
                    "cor_fundo_newsletter",
                    models.CharField(
                        default="#EEEEEE",
                        max_length=7,
                        verbose_name="Cor Fundo Newsletter",
                    ),
                ),
                (
                    "cor_fundo_contato",
                    models.CharField(
                        default="#4A9AA8",
                        max_length=7,
                        verbose_name="Cor Fundo Contato",
                    ),
                ),
                (
                    "banner_titulo",
                    wagtail.fields.RichTextField(
                        blank=True, verbose_name="Título do Banner"
                    ),
                ),
                (
                    "banner_subtitulo",
                    models.CharField(
                        blank=True, max_length=200, verbose_name="Subtítulo do Banner"
                    ),
                ),
                (
                    "banner_texto_botao",
                    models.CharField(
                        default="Saiba mais",
                        max_length=100,
                        verbose_name="Texto do Botão",
                    ),
                ),
                (
                    "logo_hero_stream",
                    wagtail.fields.StreamField(
                        [("imagem", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "logo_hero_link",
                    models.URLField(blank=True, verbose_name="Link do Logo Hero"),
                ),
                (
                    "banner_imagem",
                    wagtail.fields.StreamField(
                        [("banner_imagem", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "destaques_titulo",
                    models.CharField(
                        default="Participantes em Destaque",
                        max_length=200,
                        verbose_name="Título dos Destaques",
                    ),
                ),
                (
                    "participantes_destaques",
                    wagtail.fields.StreamField(
                        [("participante", 8)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Nome Completo"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Cargo/Função", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Empresa/Organização", "required": False},
                            ),
                            3: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Foto do Participante"},
                            ),
                            4: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {"label": "Biografia", "required": False},
                            ),
                            5: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {"label": "LinkedIn", "required": False},
                            ),
                            6: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {"label": "Instagram", "required": False},
                            ),
                            7: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {"label": "Twitter/X", "required": False},
                            ),
                            8: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("nome", 0),
                                        ("cargo", 1),
                                        ("empresa", 2),
                                        ("foto", 3),
                                        ("descricao", 4),
                                        ("link_linkedin", 5),
                                        ("link_instagram", 6),
                                        ("link_twitter", 7),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "video_titulo",
                    models.CharField(
                        default="Assista ao vídeo",
                        max_length=200,
                        verbose_name="Título do Vídeo",
                    ),
                ),
                ("video_url", models.URLField(blank=True, verbose_name="URL do Vídeo")),
                (
                    "numeros_stats",
                    wagtail.fields.StreamField(
                        [("stat", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"help_text": "Ex: 129, 500+", "label": "Valor"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Ex: Atividades, Participantes",
                                    "label": "Descrição",
                                },
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("valor", 0), ("descricao", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "certificado_titulo",
                    models.CharField(
                        blank=True, max_length=200, verbose_name="Título do Certificado"
                    ),
                ),
                (
                    "certificado_texto",
                    wagtail.fields.RichTextField(
                        blank=True, verbose_name="Texto do Certificado"
                    ),
                ),
                (
                    "certificado_texto_botao",
                    models.CharField(
                        default="Baixar certificado",
                        max_length=100,
                        verbose_name="Texto do Botão",
                    ),
                ),
                (
                    "certificado_imagem",
                    wagtail.fields.StreamField(
                        [("certificado_imagem", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "galeria_titulo",
                    models.CharField(
                        default="Galeria",
                        max_length=200,
                        verbose_name="Título da Galeria",
                    ),
                ),
                (
                    "galeria_subtitulo",
                    models.CharField(
                        blank=True, max_length=300, verbose_name="Subtítulo da Galeria"
                    ),
                ),
                (
                    "galeria_stream",
                    wagtail.fields.StreamField(
                        [("foto", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Descrição", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("descricao", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "newsletter_stream",
                    wagtail.fields.StreamField(
                        [("imagem", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "footer_stream",
                    wagtail.fields.StreamField(
                        [("imagem", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": "Página Inicial da Semana",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="SemanaNavigation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "logo_stream",
                    wagtail.fields.StreamField(
                        [("logo_imagem", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "logo_alt_text",
                    models.CharField(
                        blank=True,
                        max_length=200,
                        verbose_name="Texto Alternativo do Logo",
                    ),
                ),
                ("sobre_link", models.URLField(blank=True, verbose_name="Link Sobre")),
                (
                    "nossa_historia_link",
                    models.URLField(blank=True, verbose_name="Link Nossa História"),
                ),
                (
                    "o_local_link",
                    models.URLField(blank=True, verbose_name="Link O Local"),
                ),
                (
                    "programacao_link",
                    models.URLField(blank=True, verbose_name="Link Programação"),
                ),
                (
                    "quem_vai_estar_la_link",
                    models.URLField(blank=True, verbose_name="Link Quem vai estar lá"),
                ),
                (
                    "noticias_link",
                    models.URLField(blank=True, verbose_name="Link Notícias"),
                ),
                (
                    "apoie_inovacao_link",
                    models.URLField(blank=True, verbose_name="Link Apoie a Inovação"),
                ),
                (
                    "perguntas_frequentes_link",
                    models.URLField(
                        blank=True, verbose_name="Link Perguntas Frequentes"
                    ),
                ),
                (
                    "entenda_gamificacao_link",
                    models.URLField(
                        blank=True, verbose_name="Link Entenda Gamificação"
                    ),
                ),
                (
                    "mostrar_seletor_idiomas",
                    models.BooleanField(
                        default=True, verbose_name="Mostrar Seletor de Idiomas"
                    ),
                ),
                ("pt_br_link", models.URLField(blank=True, verbose_name="Link PT-BR")),
                ("en_link", models.URLField(blank=True, verbose_name="Link EN")),
                ("es_link", models.URLField(blank=True, verbose_name="Link ES")),
                (
                    "mostrar_busca",
                    models.BooleanField(default=True, verbose_name="Mostrar Busca"),
                ),
                (
                    "cta_texto",
                    models.CharField(
                        default="Inscreva-se",
                        max_length=100,
                        verbose_name="Texto do CTA",
                    ),
                ),
                ("cta_link", models.URLField(blank=True, verbose_name="Link do CTA")),
                (
                    "javascript_personalizado",
                    models.TextField(
                        blank=True, verbose_name="JavaScript Personalizado"
                    ),
                ),
                (
                    "is_active",
                    models.BooleanField(
                        default=True, verbose_name="Configuração Ativa"
                    ),
                ),
            ],
            options={
                "verbose_name": "Configuração de Navegação",
                "verbose_name_plural": "Configurações de Navegação",
            },
        ),
        migrations.CreateModel(
            name="SemanaParticipantesPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "subtitulo",
                    models.CharField(
                        default="SI 2024", max_length=200, verbose_name="Subtítulo"
                    ),
                ),
                (
                    "titulo",
                    models.CharField(
                        default="Participantes", max_length=200, verbose_name="Título"
                    ),
                ),
                (
                    "introducao",
                    wagtail.fields.RichTextField(blank=True, verbose_name="Introdução"),
                ),
                (
                    "participantes_stream",
                    wagtail.fields.StreamField(
                        [("participante", 8)],
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Nome Completo"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Cargo/Função", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Empresa/Organização", "required": False},
                            ),
                            3: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Foto do Participante"},
                            ),
                            4: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {"label": "Biografia", "required": False},
                            ),
                            5: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {"label": "LinkedIn", "required": False},
                            ),
                            6: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {"label": "Instagram", "required": False},
                            ),
                            7: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {"label": "Twitter/X", "required": False},
                            ),
                            8: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("nome", 0),
                                        ("cargo", 1),
                                        ("empresa", 2),
                                        ("foto", 3),
                                        ("descricao", 4),
                                        ("link_linkedin", 5),
                                        ("link_instagram", 6),
                                        ("link_twitter", 7),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "newsletter_stream",
                    wagtail.fields.StreamField(
                        [("imagem", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "footer_stream",
                    wagtail.fields.StreamField(
                        [("imagem", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": "Página Participantes da Semana",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="SemanaPatrocinadoresPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "titulo",
                    models.CharField(
                        default="Nossos Patrocinadores",
                        max_length=200,
                        verbose_name="Título",
                    ),
                ),
                (
                    "patrocinadores",
                    wagtail.fields.StreamField(
                        [("patrocinador", 2)],
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": "Página Patrocinadores da Semana",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="SemanaProgramacaoPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "atividades",
                    wagtail.fields.StreamField(
                        [("atividade", 7)],
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Ex: 09:00",
                                    "label": "Horário de Início",
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"help_text": "Ex: 10:00", "label": "Horário de Fim"},
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Título da Atividade"},
                            ),
                            3: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {"label": "Descrição", "required": False},
                            ),
                            4: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Digite: online ou presencial",
                                    "label": "Tipo",
                                },
                            ),
                            5: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Ex: Sala 106, On-Line",
                                    "label": "Local/Tag",
                                },
                            ),
                            6: (
                                "wagtail.blocks.DateBlock",
                                (),
                                {"label": "Data da Atividade"},
                            ),
                            7: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("horario_inicio", 0),
                                        ("horario_fim", 1),
                                        ("titulo", 2),
                                        ("descricao", 3),
                                        ("tipo", 4),
                                        ("local_tag", 5),
                                        ("data", 6),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": "Página Programação da Semana",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="SemanaLocalPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "enap_image",
                    wagtail.fields.StreamField(
                        [("imagem", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Texto Alternativo", "required": False},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("imagem", 0), ("alt_text", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "enap_title",
                    models.CharField(
                        default="ENAP", max_length=200, verbose_name="Título ENAP"
                    ),
                ),
                (
                    "enap_description",
                    wagtail.fields.RichTextField(
                        blank=True, verbose_name="Descrição ENAP"
                    ),
                ),
                (
                    "hospitality_title",
                    models.CharField(
                        default="Hospitalidade",
                        max_length=200,
                        verbose_name="Título Hospitalidade",
                    ),
                ),
                (
                    "hospitality_cards",
                    wagtail.fields.StreamField(
                        [("card", 3)],
                        blank=True,
                        block_lookup={
                            0: ("wagtail.blocks.CharBlock", (), {"label": "Título"}),
                            1: ("wagtail.blocks.RichTextBlock", (), {"label": "Texto"}),
                            2: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem"},
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [[("title", 0), ("text", 1), ("image", 2)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "directions_title",
                    models.CharField(
                        default="Como Chegar",
                        max_length=200,
                        verbose_name="Título Como Chegar",
                    ),
                ),
                (
                    "metro_title",
                    models.CharField(
                        default="Metrô", max_length=100, verbose_name="Título Metrô"
                    ),
                ),
                (
                    "metro_text",
                    models.TextField(blank=True, verbose_name="Texto Metrô"),
                ),
                (
                    "taxi_title",
                    models.CharField(
                        default="Táxi", max_length=100, verbose_name="Título Táxi"
                    ),
                ),
                ("taxi_text", models.TextField(blank=True, verbose_name="Texto Táxi")),
                (
                    "bus_title",
                    models.CharField(
                        default="Ônibus", max_length=100, verbose_name="Título Ônibus"
                    ),
                ),
                ("bus_text", models.TextField(blank=True, verbose_name="Texto Ônibus")),
                (
                    "special_title",
                    models.CharField(
                        default="Transporte Especial",
                        max_length=100,
                        verbose_name="Título Especial",
                    ),
                ),
                (
                    "special_text",
                    models.TextField(blank=True, verbose_name="Texto Especial"),
                ),
                (
                    "map_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Página O Local da Semana",
            },
            bases=("wagtailcore.page",),
        ),
    ]
