# Generated by Django 5.1.6 on 2025-06-09 00:30

import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0175_concursoinovacao_material"),
    ]

    operations = [
        migrations.AddField(
            model_name="concursoinovacao",
            name="patrocinadores",
            field=wagtail.fields.StreamField(
                [("material_apoio", 14)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#2F4F4F", "Verde Escuro"),
                                ("#191970", "Azul Marinho"),
                                ("#8B0000", "Vermelho Escuro"),
                                ("#2E2E2E", "Cinza Escuro"),
                                ("#4B0082", "Índigo"),
                                ("#800080", "Roxo"),
                                ("#006400", "Verde Floresta"),
                            ],
                            "help_text": "Cor de fundo da seção",
                        },
                    ),
                    1: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFFFFF", "Branco"),
                                ("#F0F8FF", "Branco Azulado"),
                                ("#FFD700", "Dourado"),
                                ("#87CEEB", "Azul Claro"),
                                ("#98FB98", "Verde Claro"),
                                ("#FFB6C1", "Rosa Claro"),
                                ("#DDA0DD", "Roxo Claro"),
                                ("#F0E68C", "Khaki"),
                            ],
                            "help_text": "Cor do título",
                        },
                    ),
                    2: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Título principal da seção", "max_length": 100},
                    ),
                    3: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"help_text": "Texto descritivo da seção"},
                    ),
                    4: (
                        "wagtail.blocks.EmailBlock",
                        (),
                        {"help_text": "Email de contato (opcional)", "required": False},
                    ),
                    5: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem do card lateral"},
                    ),
                    6: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "Link para onde a imagem deve direcionar"},
                    ),
                    7: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Imagem do material de apoio",
                            "help_text": "Texto alternativo da imagem",
                            "max_length": 100,
                        },
                    ),
                    8: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Texto do botão", "max_length": 100},
                    ),
                    9: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "URL para onde o botão deve direcionar"},
                    ),
                    10: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFD700", "Amarelo"),
                                ("#90EE90", "Verde Claro"),
                                ("#87CEEB", "Azul Claro"),
                                ("#DDA0DD", "Roxo Claro"),
                                ("#F0E68C", "Khaki"),
                                ("#FFB6C1", "Rosa Claro"),
                                ("#20B2AA", "Verde Azulado"),
                                ("#FF6347", "Tomate"),
                            ],
                            "help_text": "Cor de fundo do botão",
                        },
                    ),
                    11: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFA500", "Laranja"),
                                ("#32CD32", "Verde Limão"),
                                ("#4169E1", "Azul Royal"),
                                ("#9370DB", "Roxo Médio"),
                                ("#DAA520", "Dourado"),
                                ("#FF69B4", "Rosa Pink"),
                                ("#008B8B", "Verde Escuro"),
                                ("#DC143C", "Vermelho"),
                            ],
                            "help_text": "Cor do botão ao passar o mouse",
                        },
                    ),
                    12: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("texto", 8),
                                ("link", 9),
                                ("cor_fundo", 10),
                                ("cor_hover", 11),
                            ]
                        ],
                        {"icon": "link", "label": "Botão"},
                    ),
                    13: (
                        "wagtail.blocks.StreamBlock",
                        [[("botao", 12)]],
                        {"help_text": "Adicione quantos botões quiser", "min_num": 1},
                    ),
                    14: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_fundo", 0),
                                ("cor_texto_titulo", 1),
                                ("titulo", 2),
                                ("texto", 3),
                                ("email_contato", 4),
                                ("imagem_card", 5),
                                ("link_card", 6),
                                ("alt_imagem", 7),
                                ("botoes", 13),
                            ]
                        ],
                        {},
                    ),
                },
                default=list,
            ),
        ),
        migrations.AlterField(
            model_name="concursoinovacao",
            name="material",
            field=wagtail.fields.StreamField(
                [("material_apoio", 14)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#2F4F4F", "Verde Escuro"),
                                ("#191970", "Azul Marinho"),
                                ("#8B0000", "Vermelho Escuro"),
                                ("#2E2E2E", "Cinza Escuro"),
                                ("#4B0082", "Índigo"),
                                ("#800080", "Roxo"),
                                ("#006400", "Verde Floresta"),
                            ],
                            "help_text": "Cor de fundo da seção",
                        },
                    ),
                    1: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFFFFF", "Branco"),
                                ("#F0F8FF", "Branco Azulado"),
                                ("#FFD700", "Dourado"),
                                ("#87CEEB", "Azul Claro"),
                                ("#98FB98", "Verde Claro"),
                                ("#FFB6C1", "Rosa Claro"),
                                ("#DDA0DD", "Roxo Claro"),
                                ("#F0E68C", "Khaki"),
                            ],
                            "help_text": "Cor do título",
                        },
                    ),
                    2: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Título principal da seção", "max_length": 100},
                    ),
                    3: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"help_text": "Texto descritivo da seção"},
                    ),
                    4: (
                        "wagtail.blocks.EmailBlock",
                        (),
                        {"help_text": "Email de contato (opcional)", "required": False},
                    ),
                    5: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem do card lateral"},
                    ),
                    6: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "Link para onde a imagem deve direcionar"},
                    ),
                    7: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Imagem do material de apoio",
                            "help_text": "Texto alternativo da imagem",
                            "max_length": 100,
                        },
                    ),
                    8: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Texto do botão", "max_length": 100},
                    ),
                    9: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "URL para onde o botão deve direcionar"},
                    ),
                    10: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFD700", "Amarelo"),
                                ("#90EE90", "Verde Claro"),
                                ("#87CEEB", "Azul Claro"),
                                ("#DDA0DD", "Roxo Claro"),
                                ("#F0E68C", "Khaki"),
                                ("#FFB6C1", "Rosa Claro"),
                                ("#20B2AA", "Verde Azulado"),
                                ("#FF6347", "Tomate"),
                            ],
                            "help_text": "Cor de fundo do botão",
                        },
                    ),
                    11: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFA500", "Laranja"),
                                ("#32CD32", "Verde Limão"),
                                ("#4169E1", "Azul Royal"),
                                ("#9370DB", "Roxo Médio"),
                                ("#DAA520", "Dourado"),
                                ("#FF69B4", "Rosa Pink"),
                                ("#008B8B", "Verde Escuro"),
                                ("#DC143C", "Vermelho"),
                            ],
                            "help_text": "Cor do botão ao passar o mouse",
                        },
                    ),
                    12: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("texto", 8),
                                ("link", 9),
                                ("cor_fundo", 10),
                                ("cor_hover", 11),
                            ]
                        ],
                        {"icon": "link", "label": "Botão"},
                    ),
                    13: (
                        "wagtail.blocks.StreamBlock",
                        [[("botao", 12)]],
                        {"help_text": "Adicione quantos botões quiser", "min_num": 1},
                    ),
                    14: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_fundo", 0),
                                ("cor_texto_titulo", 1),
                                ("titulo", 2),
                                ("texto", 3),
                                ("email_contato", 4),
                                ("imagem_card", 5),
                                ("link_card", 6),
                                ("alt_imagem", 7),
                                ("botoes", 13),
                            ]
                        ],
                        {},
                    ),
                },
            ),
        ),
    ]
