# Generated by Django 5.1.6 on 2025-06-09 02:56

import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0186_alter_editalconcursoinovacao_faq_block"),
    ]

    operations = [
        migrations.AddField(
            model_name="editalconcursoinovacao",
            name="contato",
            field=wagtail.fields.StreamField(
                [("secao_contato", 9)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#2F4F4F", "Verde Escuro"),
                                ("#3E4E4E", "Cinza Verde Escuro"),
                                ("#4A5568", "Cinza Azulado"),
                                ("#1A202C", "Cinza Muito Escuro"),
                                ("#2D3748", "Ardósia Escuro"),
                                ("#2B6CB0", "Azul Escuro"),
                                ("#3182CE", "Azul Médio"),
                                ("#2C5282", "Azul Profundo"),
                            ],
                            "help_text": "Cor de fundo da seção",
                        },
                    ),
                    1: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem que ficará na lateral esquerda"},
                    ),
                    2: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Imagem ilustrativa",
                            "help_text": "Texto alternativo da imagem",
                            "max_length": 100,
                        },
                    ),
                    3: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título principal (ex: Fale Conosco)",
                            "max_length": 100,
                        },
                    ),
                    4: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#2F4F4F", "Verde Escuro"),
                                ("#000000", "Preto"),
                                ("#4A4A4A", "Cinza Escuro"),
                                ("#FFFFFF", "Branco"),
                                ("#F5F5DC", "Bege"),
                                ("#FFD700", "Dourado"),
                            ],
                            "help_text": "Cor do título principal",
                        },
                    ),
                    5: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Subtítulo do formulário (ex: Envie sua mensagem)",
                            "max_length": 200,
                        },
                    ),
                    6: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#9ACD32", "Verde Amarelado"),
                                ("#8FBC8F", "Verde Claro"),
                                ("#FFD700", "Dourado"),
                                ("#F5F5DC", "Bege"),
                                ("#FFFFFF", "Branco"),
                                ("#CCCCCC", "Cinza Claro"),
                            ],
                            "help_text": "Cor do subtítulo",
                        },
                    ),
                    7: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#9ACD32", "Verde Amarelado"),
                                ("#8FBC8F", "Verde Claro"),
                                ("#32CD32", "Verde Limão"),
                                ("#228B22", "Verde Floresta"),
                                ("#FFD700", "Dourado"),
                                ("#FF6B35", "Laranja"),
                            ],
                            "help_text": "Cor do botão de enviar",
                        },
                    ),
                    8: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar",
                            "help_text": "Texto do botão",
                            "max_length": 50,
                        },
                    ),
                    9: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_fundo", 0),
                                ("imagem", 1),
                                ("alt_imagem", 2),
                                ("titulo_principal", 3),
                                ("cor_titulo_principal", 4),
                                ("subtitulo", 5),
                                ("cor_subtitulo", 6),
                                ("cor_botao", 7),
                                ("texto_botao", 8),
                            ]
                        ],
                        {},
                    ),
                },
            ),
        ),
        migrations.AddField(
            model_name="editalconcursoinovacao",
            name="patrocinadores",
            field=wagtail.fields.StreamField(
                [("patrocinadores", 7)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo da seção"},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Título principal da seção", "max_length": 200},
                    ),
                    2: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFFFFF", "Branco"),
                                ("#000000", "Preto"),
                                ("#FFD700", "Dourado"),
                                ("#FF6B35", "Laranja"),
                                ("#87CEEB", "Azul Claro"),
                                ("#98FB98", "Verde Claro"),
                                ("#FFB6C1", "Rosa Claro"),
                                ("#DDA0DD", "Roxo Claro"),
                                ("#F0E68C", "Khaki"),
                                ("#20B2AA", "Verde Azulado"),
                            ],
                            "help_text": "Cor do título",
                        },
                    ),
                    3: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem principal em destaque"},
                    ),
                    4: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem da galeria"},
                    ),
                    5: (
                        "wagtail.blocks.StructBlock",
                        [[("imagem", 4)]],
                        {"icon": "image", "label": "Foto"},
                    ),
                    6: (
                        "wagtail.blocks.StreamBlock",
                        [[("foto", 5)]],
                        {
                            "help_text": "Adicione quantas fotos quiser na galeria",
                            "min_num": 0,
                        },
                    ),
                    7: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_background", 0),
                                ("titulo", 1),
                                ("cor_titulo", 2),
                                ("imagem_destaque", 3),
                                ("galeria_fotos", 6),
                            ]
                        ],
                        {},
                    ),
                },
                default=list,
            ),
        ),
    ]
